//---------------------------------------------------------------------------

#ifndef Main_FormH
#define Main_FormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include "TntForms.hpp"
#include "TntButtons.hpp"
#include "TntStdCtrls.hpp"

#include <map.h>
#include <vector.h>
//---------------------------------------------------------------------------
class TMainForm : public TTntForm
{
__published:	// IDE-managed Components
	TTntButton *Button1;
	TTntGroupBox *GroupBox1;
	TTntLabel *Label1;
	TTntLabel *ProductNameLabel;
	TTntLabel *Label2;
	TTntLabel *LOTNameLabel;
	TTntLabel *Label4;
	TTntLabel *TabletTypeLabel;
	TTntLabel *Label6;
	TTntLabel *TabletShapeLabel;
	TTntLabel *Label8;
	TTntLabel *TabletLengthLabel;
	TTntLabel *Label10;
	TTntLabel *TabletWidthLabel;
	TTntLabel *Label12;
	TTntLabel *TabletThickLabel;
	TTntLabel *Label14;
	TTntLabel *TabletSideThickLabel;
	TTntLabel *Label16;
	TTntLabel *EngraveTypeLabel;
	TTntLabel *Label18;
	TTntLabel *EngravePosLabel;
	TTntButton *InspectionButton;
	TTntButton *GradeSettingButton;
    TTntButton *FirstStudyButton;
    TTntGroupBox *GroupBox2;
    TTntSpeedButton *UserGradeSpeedButton1;
    TTntSpeedButton *UserGradeSpeedButton2;
    TTntSpeedButton *UserGradeSpeedButton3;
    TTntSpeedButton *UserGradeSpeedButton4;
    TTntSpeedButton *UserGradeSpeedButton5;
    TTntButton *CPBTuningButton;
	TTntButton *TabletCharacterExtractButton;
  TTntButton *SecStudyBtn;
  TComboBox *MachineTypeComboBox;
  TLabel *Label3;
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall InspectionButtonClick(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall GradeSettingButtonClick(TObject *Sender);
    void __fastcall FirstStudyButtonClick(TObject *Sender);
    void __fastcall UserGradeSpeedButtonClick(TObject *Sender);
    void __fastcall CPBTuningButtonClick(TObject *Sender);
	void __fastcall TabletCharacterExtractButtonClick(TObject *Sender);
  void __fastcall SecStudyBtnClick(TObject *Sender);
  void __fastcall MachineTypeComboBoxChange(TObject *Sender);
private:	// User declarations
	void __fastcall RefreshProductInfo(void);
public:		// User declarations
	__fastcall TMainForm(TComponent* Owner);
  map<int,WideString> UserGradeList; // ÀÌ´ëÈ£
  vector <int> MenueAccessRightViewDataInfo;

  void __fastcall SetLastSafetyMode(int newSafeMode);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
